Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization
Class ServerTool

    java.lang.Object
      org.esupportail.portal.channels.CStockage.spacesPersonalization.ServerTool

public class ServerTool
extends java.lang.Object

Id: SpaceTool.java,v 1.0 5 janv. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: SpaceTool Original Author: Yohan Colmant Object used to manage a Space while the sharing of spaces by users

Field Summary
`protected static Log` | `log` Logger object
`private Server` | `server` The Server we are using

Constructor Summary
`ServerTool(java.lang.String stringToParse)` Constructor

Method Summary
`void` | `addServer(Server server)` add a new server to the list
`Server` | `getServer()` return the server
`java.util.ArrayList` | `getSpaces()` return the spaces list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

### server

    private Server server

  The Server we are using

Constructor Detail

### ServerTool

    public ServerTool(java.lang.String stringToParse)

  Constructor

Parameters:
  `stringToParse` - the String we want to parse

Method Detail

### getServer

    public Server getServer()
                     throws PropertiesException

  return the server

  Returns:
    the server
  Throws:
    `PropertiesException`

### getSpaces

    public java.util.ArrayList getSpaces()
                                  throws PropertiesException

  return the spaces list

  Returns:
    the spaces list
  Throws:
    `PropertiesException`

### addServer

    public void addServer(Server server)
                   throws PropertiesException

  add a new server to the list

  Parameters:
    `server` - the server to add
  Throws:
    `PropertiesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD